Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452346 - Xephyr is broken in Fedora 9
Summary: Xephyr is broken in Fedora 9
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-21 06:42 UTC by Andrew Zabolotny
Modified: 2018-04-11 17:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:44:10 UTC


Attachments (Terms of Use)
xorg.conf(KHAksnes) (deleted)
2008-06-30 10:32 UTC, Knut-Håvard Aksnes
no flags Details
Xorg.0.log (KHAksnes) (deleted)
2008-06-30 10:33 UTC, Knut-Håvard Aksnes
no flags Details
my X.org config file (deleted)
2008-07-29 21:46 UTC, Andrew Zabolotny
no flags Details
the log file when running X11 with the above config file (deleted)
2008-07-29 21:49 UTC, Andrew Zabolotny
no flags Details
The log file when running with no X11 config file at all (deleted)
2008-07-29 21:55 UTC, Andrew Zabolotny
no flags Details

Description Andrew Zabolotny 2008-06-21 06:42:22 UTC
Description of problem:
When starting Xephyr it exits immediately with this message:

[2|zap@zap|~]Xephyr -screen 800x600 :2
X Error of failed request:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  55 (X_CreateGC)
  Resource id in failed request:  0x0
  Serial number of failed request:  8
  Current serial number in output stream:  13

Version-Release number of selected component (if applicable):
xorg-x11-server-Xephyr-1.4.99.902-3.20080612.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start Xephyr :2 in a terminal
  
Actual results:
X Error of failed request:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  55 (X_CreateGC)
  Resource id in failed request:  0x0
  Serial number of failed request:  8
  Current serial number in output stream:  13

Additional info:
I use nvidia proprietary drivers, but in Fedora 8 Xephyr worked fine with them.
I have metacity with compositing enabled, I tried to disable compositing and
Xephyr still does not start.

Comment 1 Matěj Cepl 2008-06-23 16:14:35 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please, first of all, REMOVE nvidia proprietary drivers and make sure your
computer is clean of all the bits it brought (see
https://fedoraproject.org/wiki/Xorg/3rd_Party_Video_Drivers for instructions how
to do it). We cannot work with binary-only drivers, and I would have to close
this bug as CANTFIX otherwise (because, we really cannot fix something we have
no idea how it works).

Then please attach your X server config file (/etc/X11/xorg.conf) and X server
log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Knut-Håvard Aksnes 2008-06-30 10:32:06 UTC
Created attachment 310570 [details]
xorg.conf(KHAksnes)

Comment 3 Knut-Håvard Aksnes 2008-06-30 10:33:08 UTC
Created attachment 310571 [details]
Xorg.0.log (KHAksnes)

Comment 4 Knut-Håvard Aksnes 2008-06-30 10:35:14 UTC
I have the same kind of problems. I can't run without any /etc/X11/xorg.conf as
the autoprobe for X server doesn't work for my machine. At the time being i am
stuck with the vesa driver. I am attaching my /etc/X11/xorg.conf file and
/var/log/Xorg.0.log (the newest one) if it is of any use. 

Comment 5 Matěj Cepl 2008-06-30 16:25:42 UTC
I would still love to get the info from reporter.

Comment 6 Andrew Zabolotny 2008-07-29 21:46:56 UTC
Created attachment 312941 [details]
my X.org config file

Sorry for taking so long to answer.

I removed completely all packages with nvidia drivers (I was using livna
packaged nvidia drivers). I'm not sure to what breakage was referring the guy
who wrote that wiki entry, but I hope the livna drivers don't do bad things, or
at least they restore the system when uninstalled.

However, this did not help:

[3|zap@zap|~]Xephyr :2
X Error of failed request:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  55 (X_CreateGC)
  Resource id in failed request:  0x0
  Serial number of failed request:  7
  Current serial number in output stream:  12

Some info:

[3|zap@zap|~]rpm -q fedora-release xorg-x11-server-Xorg xorg-x11-drv-nv kernel
fedora-release-9-2.noarch
xorg-x11-server-Xorg-1.4.99.905-1.20080701.fc9.x86_64
xorg-x11-drv-nv-2.1.10-1.fc9.x86_64
kernel-2.6.25.10-86.fc9.x86_64
[1|root@zap|~]lspci|grep VGA
01:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7600 GT]
(rev a1)

I'll attach my configs and Xorg.log.

Comment 7 Andrew Zabolotny 2008-07-29 21:49:47 UTC
Created attachment 312942 [details]
the log file when running X11 with the above config file

Comment 8 Andrew Zabolotny 2008-07-29 21:55:08 UTC
Created attachment 312943 [details]
The log file when running with no X11 config file at all

Comment 9 Bug Zapper 2009-06-10 01:43:07 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2009-07-14 17:44:10 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.